package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 一键起飞对象 one_click_takeoff
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
public class OneClickTakeoff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 无人机序列号 */
    @Excel(name = "无人机序列号")
    private String droneSerialNumber;

    /** 一键起飞时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "一键起飞时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date takeoffTime;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long flightId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDroneSerialNumber(String droneSerialNumber) 
    {
        this.droneSerialNumber = droneSerialNumber;
    }

    public String getDroneSerialNumber() 
    {
        return droneSerialNumber;
    }
    public void setTakeoffTime(Date takeoffTime) 
    {
        this.takeoffTime = takeoffTime;
    }

    public Date getTakeoffTime() 
    {
        return takeoffTime;
    }
    public void setFlightId(Long flightId) 
    {
        this.flightId = flightId;
    }

    public Long getFlightId() 
    {
        return flightId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("droneSerialNumber", getDroneSerialNumber())
            .append("takeoffTime", getTakeoffTime())
            .append("flightId", getFlightId())
            .toString();
    }
}
